import { Component, OnInit } from '@angular/core';
import { PopoverController } from '@ionic/angular';
import { CommentModalPage } from 'src/app/comment-modal/comment-modal.page';
@Component({
  selector: 'app-comments',
  templateUrl: './comments.page.html',
  styleUrls: ['./comments.page.scss'],
})
export class CommentsPage implements OnInit {

  constructor(private popoverController: PopoverController) { }

  async openCommentPopover(ev: any) {
    const popover = await this.popoverController.create({
      component: CommentModalPage,
      event: ev,
      translucent: true,
      cssClass: 'comment-popover'
    });
    return await popover.present();
  }
  ngOnInit() { }


}